/**
 * Задание
 *
 * Написать программу, которая будет опрашивать и приветствовать пользователя.
 *
 * Программа должна узнать у пользователя его:
 * - Имя;
 * - Фамилию;
 * - Год рождения.
 *
 * Если пользователь вводит некорректные данные,
 * программа должна повторно опрашивать его до тех пор,
 * пока данные не будут введены корректно.
 *
 * Данные считается введёнными некорректно, если:
 * - Пользователь не вводит в поле никаких данных;
 * - Год рождения, введённый пользователем меньше, чем 1910 или больше, чем текущий год.
 *
 * Когда пользователь введёт все необходимые данные корректно,
 * вывести в консоль сообщение:
 * «Добро пожаловать, родившийся в ГОД_РОЖДЕНИЯ, ИМЯ ФАМИЛИЯ.».
 */
const minYear = 1910;
const currentYear = 2021;

let userName = prompt('Введите имя');
while (!userName) {
    userName = prompt ('Введите имя еще раз')
}
let userSurname = prompt('Введите фамилию');
while (!userName) {
    userName = prompt ('Введите фамилию еще раз')
}
let userAge = +prompt('Введите год рождение');
while (userAge < minYear || userAge > currentYear || Number.isNaN(userAge)) {
    userAge = +prompt ('Введите  год еще раз')
};

console.log(`gdhfghggfdxh ${userAge}, ${userName}, ${userSurname}`);